#
# spec file for package xprintidle
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xprintidle
Version:        0.2.5
Release:        1.4
Summary:        Utility to print user's idle time in X
License:        GPL-2.0-only
Group:          System/X11/Utilities
URL:            https://github.com/g0hl1n/xprintidle
Source:         http://httpredir.debian.org/debian/pool/main/x/%{name}/%{name}_%{version}.orig.tar.gz
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)

%description
An utility that queries the X server for the user's idle time and
prints it to stdout (in milliseconds).

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Tue May 23 2023 Avindra Goolcharan <avindra@opensuse.org>
- update to 0.2.5:
  * README: adapt build & install section
  * xprintidle: introduce get_x_idletime() function
  * xprintidle: add missing close and free on error
  * xprintidle: use EXIT_{SUCCESS,FAILURE} in main()
- includes 0.2.4:
  * xprintidle: adapt usage text
  * xprintidle: add option to print program version
  * clang-format: Only merge empty functions on one line
  * man: add initial manpage
- includes 0.2.3:
  * change buildsystem to meson
  * README: rewrite in markdown
  * AUTHORS: standardize entries and sort alphabetically
  * xprintidle: harmonize comments
  * clang-format: add initial version
  * xprintidle: reformat source
  * xprintidle: fix typos in comments
  * xprintidle: remove unneeded "_" from function parameter name
  * xprintidle: make workaroundCreepyXServer() version dependent
  * COPYING: remove "How to Apply" section
  * README: add "Contributing" section
- includes 0.2.2:
  * Applying 0.2-10 version of full-linking.patch from debian
  * Apply x11-autoconf.patch from debian version 0.2-10
  * Merge tag '0.2-10.debian'
  * ChangeLog: mention patches from debian
  * Makefile.am: remove not needed LDADD
  * autoreconf to get changes into configure and Makefile.in
- includes 0.2.1:
  * Applying full-linking.patch from debian
  * Applying allocinfo.patch from debian
  * Applying configure.patch from debian
  * Fix library checking and remove not needed ones
  * Add gitignore for C and Automake/conf stuff
  * Autoreconf with v2.69
- ran spec-cleaner
- update home URL
* Thu Jul  7 2016 sor.alexei@meowr.ru
- Initial package @ v0.2
